#!/bin/sh

TESTNAME=t09
DGSOP=/usr/bin/dgsop
EXAMPLE=/usr/share/dgc/example.pla

if [ ! -f $DGSOP ]; then
    echo "$DGSOP doesn't exist"
    exit 1
fi

if [ ! -f $EXAMPLE ]; then
    echo "$EXAMPLE doesn't exist"
    exit 1
fi

$DGSOP $EXAMPLE -primes -op tmp

TEST=`grep -c "10-- 101" tmp`
if [ $TEST -ne 1 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c "11-1 011" tmp`
if [ $TEST -ne 1 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c "001- 011" tmp`
if [ $TEST -ne 1 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c ".p 7" tmp`
if [ $TEST -ne 1 ]; then
    echo "$TEST ... failed"
    exit 1
fi

echo "$TESTNAME ... success."
echo "Removing $TESTNAME tmp"
rm tmp
